<?php

namespace Drupal\content_language_access\Tests;

/**
 * Test the features of content_language_access with content language detection enabled.
 *
 * @group content_language_access
 */
class ContentLanguageAccessContentDetectionEnabledTest extends ContentLanguageAccessTestBase {

  /**
   * Modules to install.
   *
   * @var array
   */
  public static $modules = ['content_language_access', 'content_translation'];

  /**
   * Implements setUp().
   */
  public function setUp() {
    parent::setUp();
	
	// Enable content language detection.
	$edit = [
      // Disable interface language detection.
      'language_interface[enabled][language-url]' => FALSE,
      // Content language detection: only using URL.
      'language_content[configurable]' => TRUE,
      'language_content[enabled][language-url]' => TRUE,
      'language_content[enabled][language-interface]' => FALSE,
    ];
    $this->drupalPostForm('admin/config/regional/language/detection', $edit, t('Save settings'));
  }

  /**
   * Tests each content in each language.
   */
  public function testContentLanguageAccess() {
    parent::baseTestContentLanguageAccess();
  }

}
